html,
body {
  position: relative;
  height: 100%;
}
.active{opacity: .2 !important;}
:root {
  --scroll-bar-size: 9px;

  /**
   * Background color for custom scroll bars.
   * The color is applied to the thumb part of the scrollbar.
   */
   --scroll-bar-thumb-background-color: rgb(42, 42, 42);
  /**
    * Background color for custom scroll bars in their active state.
    * The color is applied to the thumb part of the scrollbar.
    */
    --scroll-bar-thumb-background-color-active: black;
  }
  ::-webkit-scrollbar {
    width: var(--scroll-bar-size);
    height: var(--scroll-bar-size);
    background: transparent;
    cursor: pointer;
  }
  ::-webkit-scrollbar-thumb {
    background-color: var(--scroll-bar-thumb-background-color);
    border-radius: var(--scroll-bar-size);
    border-color: transparent;
    border-style: solid;
    border-width: calc(var(--scroll-bar-size) / 3);
    background-clip: padding-box;
  }
  ::-webkit-scrollbar-thumb:active {
    background-color: var(--scroll-bar-thumb-background-color-active);
  }
  ::-webkit-scrollbar-thumb:hover,
  ::-webkit-scrollbar-thumb:active {
    border-width: 1px;
    background-color: var(--scroll-bar-thumb-background-color-active);
    cursor: pointer;
  }
  @font-face {
    font-family: Century Gothic;
    src: url("font/GOTHIC.TTF");
    font-weight: normal;
  }
  @font-face {
    font-family: Century Gothic;
    src: url("font/GOTHICB.TTF");
    font-weight: bold;
  }
  @font-face {
    font-family: Century Gothic;
    src: url("font/GOTHICBI.TTF");
    font-weight: bold;
    font-style: italic;
  }
  @font-face {
    font-family: Century Gothic;
    src: url("font/GOTHICI.TTF");
    font-style: italic;
  }

  @font-face {
    font-family: Times;
    src: url("font/times.ttf");
    font-weight: normal;
  }
  @font-face {
    font-family: Times;
    src: url("font/timesbd.ttf");
    font-weight: bold;
  }
  @font-face {
    font-family: Times;
    src: url("font/timesbi.ttf");
    font-weight: bold;
    font-style: italic;
  }
  @font-face {
    font-family: Times;
    src: url("font/timesi.ttf");
    font-style: italic;
  }

  body {
    font-family: Century Gothic;
    color: black;
    padding: 0;
    margin: 0;
    background: #efefef;
    overflow-x: hidden;
    position: relative;
  }
  a {
    text-decoration: none;
    color: inherit;
  }
  /*menu*/

  header.menu {
    padding: 1em 5% 0.5em 5%;
    border-bottom: 1px solid #b0b0b078;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: -1px;
    background: #efefef;
    z-index: 999;
    width: 91%;
  }
  header.menu img {
    width: 20px;
  }



  div.filter span.active {
    opacity: 0.3;
  }
  section.main {
    padding: 2% 5%;
    max-width: 1400px;
    margin: 0 auto;
  }
  div.content {
    padding-left: 5%;
    margin-bottom: 3em;
    margin-top:3em;
  }
  section.main h1 {
    font-weight: bold;
    font-size: 2em;
  }
  div.filter {
    display: flex;
    justify-content: flex-start;
    width: 80%;
    align-items: center;
    flex-flow: row wrap;
  }
  div.filter span {
    cursor: pointer;
    margin-right: 3em;
    font-size: 0.8em;
  }
  div.portfolios {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap:5px;
  }
  div.portfolios > a {
    /*width: 24%;*/
    position: relative;
    /*margin-right: 8px;*/
    margin-bottom: 8px;
    /* display: flex; */
    flex-flow: column wrap;
    background-color: #b7b7b7;
    justify-content: space-between;
    align-items: center;
    /* padding-bottom: 1em; */
    color: white;
    text-align: center;
    height: 450px;
  }
  div.portfolios > a > img {
    width: 100%;
  }
  div.portfolios > a h2,
  div.portfolios > a p {
    padding: 0 13%;
    margin: 0;
    margin-top: -2em;
  }

  div.portfolios > a p {
    font-weight: 100;
  }
  div.portfolios > a h2 {
    font-size: 17px;
    margin: 0;
    line-height: 1.5;
    margin-bottom: 2em;
  }
  p.description {
    font-weight: bold;
    font-size: 0.8em;
    margin-block-start: 0;
  }
  a.TOTURIAL img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  div.portfolios > a span {
    border: 1px solid white;
    padding: 10px 30px;
    font-size: 0.75em;
  }
  @media only screen and (min-width: 1800px){
    div.filter span{font-size:1.2em;}
  }
  @media only screen and (min-width: 1440px){
    div.portfolios > a h2{font-size:18px;}
    p.description{font-size:.9em;}
    div.portfolios > a span{font-size:0.85em}
    div.filter span{font-size:.9em;}
  }
  @media only screen and (max-width: 800px) {
    div.portfolios{grid-template-columns: repeat(2, 1fr);grid-gap: 7px;}
    div.cover{height: auto !important;}
    
    div.blog_a{margin-bottom: 0;}
    div.portfolios > a {
      font-size: 12px;
      /*width: 48%;*/
      margin: 0 auto;
      /* padding: 6px; */
      margin-bottom: 0;
      /*height: 310px;*/
    }
    a.TOTURIAL h2,
    a.TOTURIAL p {
      padding: 0 10%;
    }
    a.TOTURIAL h2 {
      font-size: 15px;
    }
    p.description {
      font-size: 12px;
    }
    div.menuLinks {
      /*margin-top: 37%;*/
    }
    div.portfolios > a h2 {
      font-size: 15px;
    }
  }
  @media only screen and (max-width: 500px) {
    div.desc{height: auto !important;}
    div.blog_a{padding-bottom: 0;padding-top: 1em;}
    div.portfolios > a{height: auto;}
    div.portfolios > a span{padding: 10px;}
  }

  div.cover {
    width: 100%;
    height: 47%;
    overflow: hidden;
  }

  div.desc {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    height: 55%;
  }

  div.blog_a,
  div.blog_p,
  div.blog_heading {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: flex-start;
  }

  div.blog_heading {
    margin-bottom: 1em;
    padding-top: 1em;
  }

  div.blog_a {
    align-items: center;
    padding-bottom: 1em;
  }

  div.blog_a span {
    transition: 0.5s;
  }
  a.TOTURIAL:hover span {
    transform: translateY(-4px);
  }

  a.TOTURIAL:hover {
    transform: translateY(-6px);
  }

  a.TOTURIAL {
    transition: 0.5s;
    position: relative;
  }

  div.desc {
    position: relative;
    overflow: hidden;
    z-index: 2;
  }
  div.carpet {
    position: absolute;
    width: 100%;
    height: 60%;
    background: linear-gradient(to top, rgba(0, 0, 0, 1) , rgba(0, 0, 0, 0));
    /* background: rgba(0, 0, 0, 1); */
    bottom: 0;
    transition: 0.5s;
    left: 0;
    z-index: 1;
  }

  div.cover {
    position: relative;
    z-index: 0;
    z-index: 0;
  }

  a.TOTURIAL:hover div.carpet {
    height: 100%;
    bottom: 0;
  }

  a.TOTURIAL:hover div.cover {
    z-index: -3;
  }
  }
  @media only screen and (max-width: 560px) {
    /*menu*/
  div.portfolios > a span{font-size:.8em;padding: 10px 10px}
}
